//
//  DrawView.m
//  Draw
//
//  Created by kunii on 10/01/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import "DrawView.h"


@implementation DrawView


- (id)initWithFrame:(CGRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        self.layer.contentsRect = CGRectMake(0, 0, 0.5, 0.5);
    }
    return self;
}


- (void)drawRect:(CGRect)rect {
    printf("current context %p\n", UIGraphicsGetCurrentContext());
	[[UIColor blueColor] setFill];
	UIRectFill(CGRectInset(self.bounds, 10, 50));
}

-(void)drawLayer:(CALayer*)layer inContext:(CGContextRef)context
{
    printf("arg layer = %p, layer = %p and context %p\n", layer, self.layer, context);
    [super drawLayer:layer inContext:context];
}

- (void)dealloc {
    [super dealloc];
}

@end
